Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Typedef Nes::Api::Machine::EventCallback

Machine event callback prototype.

Parameters:
  `userData` - optional user data
  `event` - the event
  `result` - result code of event operation, in success or warning state

Details

### EventCallback

    public typedef void( NST_CALLBACK* EventCallback )( UserData userData, Event event, Result result );

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD